//
//  ElisPreferenceController.m
//  Elis Colors
//
//  Created by 柳 on 09/09/26.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "ElisPreferenceController.h"


@implementation ElisPreferenceController

- (id)init
{
    [NSBundle loadNibNamed:@"Preference" owner:self];
    return self;
}

- (void)setMainWindow:(NSWindow *)w
{
    _mainWindow = w;
}

- (void)run
{
    if(usingStampMode)
        [highPeformanceCheck setState:NSOnState];
    else
        [highPeformanceCheck setState:NSOffState];

    if(printBorderLine)
        [borderLineCheck setState:NSOnState];
    else
        [borderLineCheck setState:NSOffState];
    
    [NSApp beginSheet:_sheet modalForWindow:_mainWindow 
        modalDelegate:self didEndSelector:nil contextInfo:nil];    
}

- (IBAction)pushedOK:(id)sender
{
    usingStampMode = [highPeformanceCheck state];
    printBorderLine = [borderLineCheck state];
    
    [_sheet close];
    [NSApp endSheet:_sheet];
}

- (IBAction)pushedCancel:(id)sender
{
    [_sheet close];
    [NSApp endSheet:_sheet];
}

@end
