//
//  ElisMovieSizeWindowController.m
//  Elis Colors
//
//  Created by 柳 on 09/09/26.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "ElisMovieSizeWindowController.h"


@implementation ElisMovieSizeWindowController

- (id)init
{
    [NSBundle loadNibNamed:@"movieSizeWindow" owner:self];
    return self;
}

- (void)run
{
    [_widthField setIntValue:(int)ProjectMovieSize.size.width];
    [_heightField setIntValue:(int)ProjectMovieSize.size.height];
    
    [NSApp beginSheet:_window modalForWindow:_mainWindow 
        modalDelegate:self didEndSelector:nil contextInfo:nil];
}

- (IBAction)pushedOK:(id)sender
{
    int x, y;
    x = [_widthField intValue];
    y = [_heightField intValue];
    
    if(x > 0 && y > 0){
        ProjectMovieSize.size.width = x;
        ProjectMovieSize.size.height = y;
    }
    
    [_window close];
    [NSApp endSheet:_window returnCode:NSCancelButton];
    
    [_mainView reshape];
}

- (IBAction)pushedCancel:(id)sender
{
    [_window close];
    [NSApp endSheet:_window];
}

- (void)setMainWindow:(NSWindow *)w
{
    _mainWindow = w;
}

- (void)setMainView:(id)v
{
    _mainView = v;
}

@end
